# This package is maintained on trac svn repository. Please do not change on local.
# If you find a BUG, please report to Vine@vinelinux.org or mailing list or BTS.

%define version 0.0.6

Summary: bootstrap scripts to create a basic Vine Linux system
Summary(ja): Vine Linux の基本システムを作成するためのスクリプト
Name: vbootstrap
Version: %{version}
Release: 1%{?_dist_release}
License: public domain
Group: Development/Tools
Url: http://trac.vinelinux.org/wiki/VineBootstrap

Source0: %{name}-%{version}.tar.bz2

Buildroot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildArch: noarch
BuildRequires: sed
Requires: bash, apt

Vendor: Project Vine
Distribution: Vine Linux
Packager: daisuke, munepi

%description
vbootstrap is used to create a basic Vine Linux system on existing Vine Linux
system. It uses rpm and apt to install basic rpm package into a directory
which can be chrooted into.

%description -l ja
vbootstrap は Vine Linux の基本システムを既存の Vine Linux システム上で
作成するスクリプトです。rpm および apt を利用して、指定したディレクトリ
以下に基本の rpm パッケージをインストールし、chroot できるようにします。


%prep
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}

%setup

%build
make

%install
make DESTDIR=$RPM_BUILD_ROOT install

%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%{_sbindir}/vbootstrap
%{_sbindir}/vbuilder
%dir %{_datadir}/vbootstrap
%{_datadir}/vbootstrap/*
%config(noreplace) %{_sysconfdir}/vbootstrap/vbuilder.conf


%changelog
* Sat Oct 31 2009 Munehiro Yamamoto <munepi@vinelinux.org> 0.0.6-1
- updated vbuilder.sh.in, little

* Sat Oct 31 2009 Munehiro Yamamoto <munepi@vinelinux.org> 0.0.5-1
- updated vbuilder.sh.in and vbuilder.conf.in
  - extended to store built rpms on chroot env. in each arch. of home rpm dir.

* Sun Sep 13 2009 Munehiro Yamamoto <munepi@vinelinux.org> 0.0.4-1
- added vine-release in BASE_PKGS of scripts/*
- added vbuilder.conf
- updated vbuilder.sh.in

* Tue Sep 01 2009 Munehiro Yamamoto <munepi@vinelinux.org> 0.0.3-2
- rebuilt to add signature

* Mon Aug 31 2009 Munehiro Yamamoto <munepi@vinelinux.org> 0.0.3-1
- support 5.0 (by daisuke-san)
- update vbuilder.sh.in
  - check chroot archtecture

* Mon Jun 29 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 0.0.2-1
- add vbuilder

* Wed Mar 18 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 0.0.1-1
- initial build
